Type to search.

Configure the Risk Engine Saved Object

Base URL
https://{kibana_url}
  • PATCH /api/risk_score/engine/saved_object/configure
Auth

Configuring the Risk Engine Saved Object

Request body

enable_reset_to_zero boolean
exclude_alert_statuses string[]
exclude_alert_tags string[]
page_size integer · min: 100 · max: 10000

Number of entities to score per page. Higher values reduce total scoring time by reducing the number of alert-index scans, but cannot exceed the ES|QL result limit (10,000 by default).

Responses

Successful response

application/json
risk_engine_saved_object_configured boolean